package cmd

import (
	"github.com/spf13/cobra"
	"github.com/spf13/viper"
	"lab.libreho.st/libre.sh/docker/rc-apps-mgr/internal"
)

var downloadCmd = &cobra.Command{
	Use:   "download",
	Short: "Force the download of listed apps.",
	Run: func(cmd *cobra.Command, args []string) {
		internal.FetchAll(viper.GetStringSlice("apps"), true)
	},
}

func init() {
	rootCmd.AddCommand(downloadCmd)
}
